import java.awt.Window;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


public class Iniciar extends Main_visual implements ActionListener{

	Window janela_coordenada = new GeraCartesianPoint();
	Window janela_ajuda = new Help();
	Window janela_arco = new GeraCircle();
	Window janela_reta = new GeraLine();
	Window janela_parte21 = new Parte21();
	Window janela_direcao = new GeraDirection();
		
	public void init(){
		opcao_coordenada.addActionListener(this);
		ajuda_step.addActionListener(this);
		opcao_arco.addActionListener(this);
		opcao_reta.addActionListener(this);
		gerar_parte21.addActionListener(this);
		opcao_direcao.addActionListener(this);
	}	
	@Override
	public void actionPerformed(ActionEvent e) {
		Object source = e.getSource();
		if(opcao_coordenada.equals(source)){
			janela_coordenada.setVisible(true);			
		}
		if(ajuda_step.equals(source)){
			janela_ajuda.setVisible(true);
		}
		if(opcao_arco.equals(source)){
			janela_arco.setVisible(true);
		}
		if(opcao_reta.equals(source)){
			janela_reta.setVisible(true);
		}
		if(gerar_parte21.equals(source)){
			janela_parte21.setVisible(true);
		}
		if(opcao_direcao.equals(source)){
			janela_direcao.setVisible(true);
		}
	}
	public Iniciar(){
		init();
	}
}
